This is a Laravel 5 package that provides self management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `self/self`.

    "self/self": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Self\Self\Providers\SelfServiceProvider::class,

```

And also add it to alias

```php
'Self'  => Self\Self\Facades\Self::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Self\Self\Providers\SelfServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Self\Self\Providers\SelfServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Self\Self\Providers\SelfServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Self\Self\Providers\SelfServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Self\Self\Providers\SelfServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Self\Self\Providers\SelfServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


